Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005992 [JEDI VCL] 00 JVCL Components major always 2012-09-25 20:29 2015-09-14 13:20
Reporter uholeschak View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.46
Summary 0005992: RadStudio XE2 Designer hangs with JVCL 3.4.7
Description I have upgraded from JVCL 3.4.5 to 3.4.7 (but same problem in 3.4.6).
When i open an existing project with many TJvSpeedButton and TJvPanel the on the main form the designer hangs and doesn't display all speed buttons correctly.
Also the access to the project tree is partially blocked (tree not displayed or not selectable).
When i get the project compiled the application hangs at startup (i think this is the same problem as in the designer).

Ulrich
Additional Information
Tags No tags attached.
Attached Files zip file icon JvclTest.zip [^] (77,777 bytes) 2012-10-05 20:22

- Relationships

-  Notes
(0020217)
uholeschak (reporter)
2012-09-25 20:30

I am using C++ builder if this makes a difference ...
(0020219)
uholeschak (reporter)
2012-09-25 20:38

I will try, but i need be bit time for it ...
(0020247)
uholeschak (reporter)
2012-10-05 20:26

Hello,
i have now added a project that demonstrates this issue.

It only seems to occur, when the TJvSpeedButtons are transparent.
If you open the project (RAD Studio XE2) you will directly notice
that not all buttons are drawn in the panel and that the designer hangs
partially (Properties and project tree are now always drawn, compile hangs ...).

Ulrich
(0020248)
AHUser (developer)
2012-10-06 11:14

Fixed in svn revision 13456.

- Issue History
Date Modified Username Field Change
2012-09-25 20:29 uholeschak New Issue
2012-09-25 20:30 uholeschak Note Added: 0020217
2012-09-25 20:30 AHUser Note Added: 0020218
2012-09-25 20:30 AHUser Status new => feedback
2012-09-25 20:31 AHUser Note Deleted: 0020218
2012-09-25 20:38 uholeschak Note Added: 0020219
2012-10-05 20:22 uholeschak File Added: JvclTest.zip
2012-10-05 20:26 uholeschak Note Added: 0020247
2012-10-06 11:14 AHUser Note Added: 0020248
2012-10-06 11:14 AHUser Status feedback => resolved
2012-10-06 11:14 AHUser Fixed in Version => Daily / SVN
2012-10-06 11:14 AHUser Resolution open => fixed
2012-10-06 11:14 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker